using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using System.Data.OleDb;
using System.Data;

public partial class sysq_show : System.Web.UI.Page
{
    public DataRow dr;
    public int sbid = 0;

    protected void Page_Load(object sender, EventArgs e)
    {
        #region 实验室管理制度
        DataTable dt_gzzd = FrontFunc.GetDataByClassID("4", "307", "");
        foreach (DataRow dr in dt_gzzd.Rows)
        {
            lit_sysglzd.Text += "<li><span class='new_icon1'></span><a href='sysglzd_show.aspx?gid=" + dr["ID"] + "' title='" + dr["Title"] + "'>" + FrontFunc.Cutstring(dr["Title"].ToString(), 13) + "</a></li>";
        }
        #endregion

        #region 校外实习基地  友情链接
        DataTable dt_link1 = FrontFunc.GetLinks("5", "校外实习基地");
        DataTable dt_link2 = FrontFunc.GetLinks("6", "友情链接");

        foreach (DataRow dr in dt_link1.Rows)
        {
            lit_xwsxjd.Text += "<li><a href='" + dr["LinkPath"] + "' title='" + dr["Title"] + "'>" + FrontFunc.Cutstring(dr["Title"].ToString(), 10) + "</a></li>";
        }

        foreach (DataRow dr in dt_link2.Rows)
        {
            lit_link2.Text += "<li><span class='new_icon1'></span><a href='" + dr["LinkPath"] + "' title='" + dr["Title"] + "'>" + FrontFunc.Cutstring(dr["Title"].ToString(), 10) + "</a></li>";
        }
        #endregion


        if (Request.QueryString["nid"] != null && Request.QueryString["nid"].ToString() != "") {
            string sql = "select * from NT_Class where ID=" + Request.QueryString["nid"].ToString() + " order by ID asc";
            DataTable dt = DbHelperOleDb.ExecuteDataSet(CommandType.Text, sql, null).Tables[0];
            if (dt != null && dt.Rows.Count > 0) {
                dr = dt.Rows[0];
                string strsql = "select * from NT_ClassType where ClassId=" + dt.Rows[0]["ID"].ToString();
                DataRow drr = DbHelperOleDb.ExecuteDataSet(CommandType.Text, sql, null).Tables[0].Rows[0];
                if (drr != null) {
                    sbid = int.Parse(drr["Id"].ToString());
                }

                string strsql1 = "select * from NT_Data where ClassId=" + dt.Rows[0]["ID"].ToString() + " order by ID asc";
                DataTable dtl = DbHelperOleDb.ExecuteDataSet(CommandType.Text, strsql1, null).Tables[0];
                if (dtl != null && dtl.Rows.Count > 0)
                {
                    lit_sysq.Text += "<h5 class='sysfl-top'>下属机构</h5><div class='cen blacks'><div class='clear'>";
                    foreach (DataRow drl in dtl.Rows) {
                        lit_sysq.Text += "<a href='syslb_show.aspx?nid=" + drl["ID"] + "'>" + drl["Title"] + "</a>";
                    }
                    lit_sysq.Text += "</div></div>";
                }

            }

        }

        #region 实验设备
        DataTable dt_sysb = FrontFunc.GetDataByClassID("10", "309", "");
        foreach (DataRow dr in dt_sysb.Rows)
        {
            lit_sysb.Text += "<li><a target='_blank' href='sysb_show.aspx?nid=" + dr["ID"] + "' title='" + dr["Title"] + "'><img width='135' height='87' alt='' src='" + dr["TitlePicture"] + "'></a></li>";
        }
        #endregion

    }

    protected void btnLogin_Click(object sender, EventArgs e)
    {
        if (this.txt_Account.Text.Trim() == "" || this.txt_Pwd.Text.Trim() == "")
        {
            JavaScriptFunc.Alert(this.Page, "用户名和密码不能为空");
        }
        else
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("select * from NT_Member ");
            sb.Append(" where Account=@Account and Password=@Password");
            OleDbParameter[] parameters = { new OleDbParameter("@Account", OleDbType.VarChar), new OleDbParameter("@Password", OleDbType.VarChar) };
            parameters[0].Value = StringFunc.DataFilter(txt_Account.Text.Trim());
            parameters[1].Value = StringFunc.DataFilter(PageFunc.GetMd5(txt_Pwd.Text.Trim()));

            OleDbDataReader odr = DbHelperOleDb.ExecuteDataReader(CommandType.Text, sb.ToString(), parameters);

            if (odr.HasRows)
            {
                while (odr.Read())
                {
                    Session["Account1"] = odr["Account"];
                    Session["Name1"] = odr["Name"];
                    Session["ID1"] = odr["ID"];
                }
            }
            else
            {
                JavaScriptFunc.Alert(this.Page, "用户名和密码不正确");
            }
        }
    }

}
